﻿/* 
ini untuk buat database ya anak2 
remark/komen ini untuk banyak baris (blok baris)
*/
create database si2b;

-- ini untuk menggunakan database
-- remark/komentar per baris
use si2b;

-- ini untuk menghapus database
drop database si2b;

/* untuk menunjukkan apa saja tabel 
yang ada di dalam database*/
show tables;

select * from barangnk;


CREATE TABLE namaTabel (
namaKolom1   tipeData(ukuran) [NOT NULL],
namaKolom2   tipeData (ukuran),
namaKolom3   tipeData (ukuran),
....
[PRIMARY KEY (namaKolom1)]
);

/* incase sensitive = huruf kapital dengan
 --  huruf kecil tidak dibedakan
 -- membuat tabel barangwk dengan key
*/
create table barangwk (
kdbrg varchar(5) NOT NULL,
nmbrg varchar(40),
hrgsat mediumint,
PRIMARY KEY (kdbrg)
);

show tables; -- tunjukin ada tabel apa saja sih 
-- di dalam database yang sedang digunakan??

select * from barangwk; -- coba tunjukin record
-- apa saja yang ada di dalam tabel barangwk

-- ini dianggap sama sekali tidak ada isi = null
select * from barangwk where hrgsat is null;

-- ini dianggap masih ada isi walau kosong
select * from barangwk where kdbrg='';

select * from barangwk where kdbrg='B0002';

/* kalau query/jurus where nya adalah kode 
atau field yang unik, maka hasil yang dikenakan 
query pasti 1 record */
update barangwk 
set kdbrg='B0002', hrgsat=4000
where kdbrg='';

-- khusus yang barangnya masih 3 atau < 3 record
-- jurus 1A utk insert
-- urutan values harus sama persis dengan urutan
-- struktur tabel
-- ini untuk nambah 1 per 1
insert into barangwk
values
('B0004', 'CB Gift Box Mix (1x6) PCS', 87500);

select * from barangwk;

/*jurus 1B nyisipin record, langsung banyak
jurus 1 adalah jurus tanpa menyebutkan field
tetapi urutan values harus sesuai urutan field
pada struktur tabel
*/
insert into barangwk
values
('B0005', 'Chocolatos Dark 16gr Ktk', 17500),
('B0006', 'Nuvo Body Wash Nature 250ml', 10500),
('B0007', 'Indomie Mi Goreng', 2300);

select * from barangwk;

-- ini cara insert tetapi penyebutan field tidak urut sesuai struktur
-- per 1 record
insert into barangwk
(nmbrg, kdbrg, hrgsat)
values
('Bola Dunia HVS 80gr', 'B0008', 35000);

insert into barangwk
(nmbrg, kdbrg, hrgsat)
values
('Bola Basket Mikasa', 'B0012', 350000);

insert into barangwk
(nmbrg, kdbrg)
values
('Bola Tenis Anti Ngantuk', 'B0013');

insert into barangwk
(hrgsat, nmbrg)
values
(30000, 'Bola Kasti Anti Depresi');

-- cara di atas insert dengan menyebutkan
-- nama2 field yang ada di tabel barangwk


-- cara insert ke tabel barangwk langsung 3 record dengan menyebutkan field2 yang ada
insert into barangwk
(hrgsat,kdbrg, nmbrg)
values
(5000, 'B0009', 'Sampoo Dee Dee'),
(15000, 'B0010', 'Sikat Gigi Formula'),
('20000', 'B0011', 'Chitato BBQ 1000gr');

-- utk membuktikan bahwa benar operasi (insert, update, delete) terhadap record, lakukan select lagi 
select * from barangwk;

-- ini utk memperbaharui harga satuan utk kode barang B0013
update barangwk
set hrgsat='50000'
where kdbrg='B0013';

-- bagaimana caranya agar saya bisa menghapus record dengan nama barang bola kasti anti depresi
select * from barangwk where kdbrg='';

delete from barangwk where kdbrg='';

-- jangan dieksekusi, BERBAHAYA
delete from barangwk;

select * from barangwk;

select KDBRG, NMBRG from barangwk;